%global pypi_name hatch-jupyter-builder
%global srcname hatch_jupyter_builder

Name:           python-%{pypi_name}
Version:        0.9.1
Release:        %mkrel 1
Summary:        A hatch plugin to help build Jupyter packages
License:        BSD-3-Clause
Group:          Development/Python
URL:            https://pypi.org/project/hatch-jupyter-builder/
Source:         %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
This provides a build hook plugin for Hatch that adds a build step for use with
Jupyter packages.

%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name}
This provides a build hook plugin for Hatch that adds a build step for use with
Jupyter packages.

%prep
%autosetup -p1 -n hatch_jupyter_builder-%{version}

# No hatch available
sed -i -e 's/"hatch",//' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires -x test

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%check
# Skipped tests installs from internet
%pytest -k "not test_hatch_build"

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%{_bindir}/hatch-jupyter-builder




%changelog
* Sun Jun 30 2024 papoteur <papoteur> 0.9.1-1.mga10
+ Revision: 2078218
- new version 0.9.1

* Tue Dec 26 2023 wally <wally> 0.8.3-2.mga10
+ Revision: 2021575
- rebuild for py3.12
- clean and mageiafy .spec

* Mon Dec 04 2023 joequant <joequant> 0.8.3-1.mga10
+ Revision: 2012892
- update build requires
- fix build requires to work with urpmi
- imported package python-hatch-jupyter-builder


* Wed Sep 13 2023 Miro Hrončok <mhroncok@redhat.com> - 0.8.3-4
- Avoid an unneeded dependency on python3-tomli
- Use tomllib from the Python 3.11+ standard library instead

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 0.8.3-2
- Rebuilt for Python 3.12

* Mon Apr 24 2023 Lumír Balhar <lbalhar@redhat.com> - 0.8.3-1
- Update to 0.8.3 (rhbz#2187226)

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Dec 14 2022 Lumír Balhar <lbalhar@redhat.com> - 0.8.2-1
- Update to 0.8.2 (rhbz#2152911)

* Mon Nov 28 2022 Lumír Balhar <lbalhar@redhat.com> - 0.8.1-1
- Initial package
